import '../blocs/organization/organization_state.dart';
import 'api_client.dart';

class ActivityApi {
  final ApiClient _apiClient;

  ActivityApi(this._apiClient);

  Future<List<Activity>> getOrgActivities(String orgId) async {
    return await _apiClient.getList(
      '/orgs/$orgId/activity',
      fromJson: (data) => Activity.fromJson(data),
    );
  }
}
